Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/rewards/purchases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"reward_id": "<string>"
}
'{
"status": "TRANSACTION_CREATED",
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"type": "ADMIN_CREDIT",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Initiates a reward purchase for a member. Evaluates the reward cost, checks card balance, and creates a POINTS_SPENT_ON_REWARD transaction in PENDING status.
The operation is asynchronous - the transaction is processed after the response. Returns HTTP 202 Accepted.
Requirements:
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/rewards/purchases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"reward_id": "<string>"
}
'{
"status": "TRANSACTION_CREATED",
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"type": "ADMIN_CREDIT",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
ID of the reward to purchase (must be assigned to the program)
Reward purchase initiated (processed asynchronously)
Result of a reward purchase operation
Was this page helpful?